summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-11-04 10:38:28 +0100
committerMatt Turner <mattst88@gentoo.org>2020-11-04 20:38:20 -0500
commitd544ffed2b95d34d4191c5b6ea7ddf6af8078c4c (patch)
tree4306ea67e7bf37ef63bc99ae224d73180b55272c /dev-python/libsass/libsass-0.20.1.ebuild
parentdev-python/entrypoint2: version bump 0.2.3 (diff)
downloadgentoo-d544ffed2b95d34d4191c5b6ea7ddf6af8078c4c.tar.gz
gentoo-d544ffed2b95d34d4191c5b6ea7ddf6af8078c4c.tar.bz2
gentoo-d544ffed2b95d34d4191c5b6ea7ddf6af8078c4c.zip
dev-python/libsass: version bump 0.20.1
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net> Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'dev-python/libsass/libsass-0.20.1.ebuild')
-rw-r--r--dev-python/libsass/libsass-0.20.1.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/libsass/libsass-0.20.1.ebuild b/dev-python/libsass/libsass-0.20.1.ebuild
new file mode 100644
index 00000000000..065c56e9574
--- /dev/null
+++ b/dev-python/libsass/libsass-0.20.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A straightforward binding of libsass for Python"
+HOMEPAGE="https://github.com/sass/libsass-python"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-libs/libsass
+ dev-python/six[${PYTHON_USEDEP}]
+ test? (
+ dev-python/PyQt5[testlib,${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ )"
+
+# Remove sassc, in favour of pysassc, see: https://github.com/sass/libsass-python/issues/134
+# This avoids a file collision with dev-lang/sassc
+PATCHES=( "${FILESDIR}"/${PN}-0.20.0_rename_sassc.patch )
+
+distutils_enable_tests pytest
+
+python_test() {
+ "${EPYTHON}" sasstests.py || die "Tests fail with ${EPYTHON}"
+}